commit:     66b367f010c8167775764ae9330248feb1528aa1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  2 03:59:51 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun  2 04:06:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66b367f0

dev-python/cramjam: Bump to 2.11.0_rc3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cramjam/Manifest                  |   8 +
 dev-python/cramjam/cramjam-2.11.0_rc3.ebuild | 240 +++++++++++++++++++++++++++
 2 files changed, 248 insertions(+)

diff --git a/dev-python/cramjam/Manifest b/dev-python/cramjam/Manifest
index 4156d465d466..96cbb4d2f515 100644
--- a/dev-python/cramjam/Manifest
+++ b/dev-python/cramjam/Manifest
@@ -12,6 +12,7 @@ DIST blosc2-rs-0.4.0+2.15.2.crate 24509 BLAKE2B 
992b1652ce26684b61e87ae9b8a5dd91
 DIST blosc2-sys-0.4.0+2.15.2.crate 2993527 BLAKE2B 
6ea578b5442f3264f2b6059b7c0c82d0f0d5087bb21bdf8adc3bbe28a7e3b82a3875c03174ba9e1d98790dcf3a64ba898f0f342edf5fd681fcb59989912b77f9
 SHA512 
5d25967f7e71d6f6d97e9ec8bc068f363194df41ff0447d55fefb69f45d5360941dd3451c646f34b5591d8eaf82687fc2614f67ff69f6b95e1f198936b98e777
 DIST brotli-7.0.0.crate 1356970 BLAKE2B 
6d060e6fe4ddd463b0b4603a067de152ba2bec9f337b5c94e790bdbac6ea28b5d9fb6404d7db5d98dd81e69dcc77698949e026f990267f388a396d37c45055a9
 SHA512 
577b2efc324bf461e06af94b8b509a095a917d4ecb2bfd2f3097ab4663ad699317c2fdb0b470344c762589c75dfac073b828603ce5609295ddf1748a39b75622
 DIST brotli-decompressor-4.0.2.crate 193388 BLAKE2B 
eba06680719069c9f8f435544525848f21d0b58db9a398e920abfa9602e15a7c5a087021a7ecff808f2b8310493c42b7bc8e1c924e19c2e2816d623899454c14
 SHA512 
df0451a1ba23ddc187b6868ce7614c77b0bdf3e409b55416dc997bd898ab2cb25d68fd7a0ccb0dd2bd4da52c6a25985772357101df1a218bf87065c6833b0549
+DIST bumpalo-3.17.0.crate 91975 BLAKE2B 
b0aca1d64373425384eddcdf8d60dc977058a3d1570451de944ce48aacdb984e73a29ab64fb5b23413582d57a8e32ad8155f6a1479eb00f804afe9d8a9d9e163
 SHA512 
b2acfb463aa705b9c6a9555858b84f565234110988c880cdb761ab8dc87892ee5d22e65fa935d2cfef9d58869fec0ab64d810b26bf122fdd89b454b6ce65ea1f
 DIST bzip2-0.4.4.crate 34197 BLAKE2B 
b69f8ad38b44eb4912b33d53467492b0ebe6ed740451bdfe9133e71c47a8dbd85b1110a9607c4cc627fbabc44cd86fe0396bb545864632ffb6169f9cfa547b6c
 SHA512 
9cd2b9159bd0b42ac908ecad41f0a737272af94ae0d6dcfe182d2f44bcea4632d32b0456f02322047ea9d6f46377db6cd083f468782bccd6126bcc75cb852555
 DIST bzip2-sys-0.1.13+1.0.8.crate 633818 BLAKE2B 
f33f1bf6f01fd30e9ac551caa0092a6346fdaf076ee52967ad7e7c68f3e5d9261413da5185aaafbb11add343a0cc0116dcd1392fe5575a9be779323b729acd48
 SHA512 
89631b05c21bd06a1fc5911c637d3308c3be2d7d6e0152dd62f1851d286cfbc30ad534800b718d5e273e88409b33f5aca478adccad2c7b05400b3e698eb796e7
 DIST cbindgen-0.27.0.crate 215957 BLAKE2B 
4b88f19edd9ac6b862237e4db25e6e6cf989fc1bfaa88c7543b2c687b1c6ca77d2e09e7ac8ef69a960afeb534be37a98c0c62057c1057bfa31191d3e265a80df
 SHA512 
557fe877f95d52feeb9b3bfe427a1b365e8acb3f87a17263917e1fd9b72fef9e8db1b465564c9f213db0d784ec332a27c96ba223ec53ea584fadade1932930b7
@@ -24,6 +25,7 @@ DIST cmake-0.1.54.crate 18955 BLAKE2B 
8ea4f8c4e5a383e406436343e3635449662788cf8e
 DIST colorchoice-1.0.3.crate 7923 BLAKE2B 
7055fe61677143f0d4445ed5f6be2cbc284c155aa6ceac04df6f3fa2563a225e440ba708bf40e298ad09775ab7c7e1842b5f6dd78422b06dbd1250908e3227ee
 SHA512 
fc26696189d3935d5510a1237504339c1f354d03ffd3b4e830b7080335aa778bc72787ac5fa9a67a731b9bde2788da778d497f2ef97ec68bdec5145fedf4cd14
 DIST copy_dir-0.1.3.crate 5831 BLAKE2B 
de7e655e9716500db72cdb16394cf76a50f7b9861b9df6e0bd0a450b9475112f7e3ba3bc53ffde2c74ce540f4a48e2703f8e5ce83ad8cbfae06e51c16b2cdc63
 SHA512 
cd83244960be0bae32ab0480d1057c8a99e4bfd1c4622eb0b85692f2255ccac38678e608c663cf76ccf11d8c0d2415b15ebfd8328efdfbb37bca448245338fa2
 DIST cramjam-2.10.0.tar.gz 47801 BLAKE2B 
ff567e7abdb36e959ed502f38402c5257609c30dad3c0d1beda6699a5567d31f22ab075bbaf20ec9fe0512d06131ce912ec9f40e1b08137d1a3904ed19878921
 SHA512 
0c44643844c6278160d9e2efa3005da265e464edb1d3dd670cadc3effaa744c21c772c0bfeac1ceec6e5f7e8a9a02440d79e5080c432e4dcb73984e613281ad2
+DIST cramjam-2.11.0rc3.tar.gz 77632 BLAKE2B 
c4b0966eb42cc2eee97665288924bfe1a10af84e740cd2d009cc5d9c92b0f273d9cd4ee99ebd998e24a6aa1cd19eecdbbca6134236edfa3a4cf190371b39ada5
 SHA512 
7e4ba4b4dd2c625a9ba04591219f35c7bed1d315bea6c004425021b5ecf7fb0ae52e1f65add35031abd00241fe3f45b26d794997704f5d4112a35d37dc7594e8
 DIST crc32fast-1.4.2.crate 38491 BLAKE2B 
aaa3acca66e5814a45f12a90ae09f6ff5fc14ca94c8539184dab6ed928abc68cd1d37e539c268c1effd50ab3af20de6038593fb9c6bd6a664785dac52f6939fd
 SHA512 
c7608d33022062e217d3576f536ffbd51479855a5e5874529c71db2bf6a937ce04d814c39cf777309c38445393bf43cb9996161947e28738abd432f11beb7266
 DIST equivalent-1.0.2.crate 7419 BLAKE2B 
7ce4fb7b911961cd4ccfb48323eea4952110a069789c6bd177a63391c270df861afadd00c07db7b22768f0864f320e429e0200c433284f528336e2f81d071eff
 SHA512 
8e0e2dc070794a85b276e93f9e4a65d3bbb8587b33fda211c34479a0b88504c913d8bef9e84d7996254aeabe1efe4ff1ef6259ff4fe3f9ccb90dd90070b3e4d4
 DIST errno-0.3.10.crate 11824 BLAKE2B 
f9976b538868daba3cd2d47ff2fdcda16b4a436ca767f865f23d1139e7f232aba263dd4aa38d573442c762999c8a8beab8a4a8c10649d21b49090fa65ced1ec7
 SHA512 
fa4b9a368f254cd90c6f69f6883af4c579829a6da6f31481a1b527ac9602c8ffcb5e9518cdc32c39b5589c151a20e75a7300c8a907d178346185ecc6e8749f3f
@@ -68,6 +70,7 @@ DIST python3-dll-a-0.2.13.crate 85018 BLAKE2B 
4531172b7e985041fe3cf7d164c67dc74e
 DIST quote-1.0.38.crate 31252 BLAKE2B 
a3836efbe5c21dec70c684002b47b8fc7cef643c82ee903b537a48bc0707a28106c4b33d98e60ff81e04c7520f7404b1dc4d49446e8d91dded517e476c36e1c2
 SHA512 
530c47c5e6372b508bf5b2b88a138408a7afa5ef52c47280ed20eccf39f8e97dfc1e0a18c1bd5472efcdc49a7a1e69566333a0a1b4c0b4f0e11e6a7a85bfe8af
 DIST redox_syscall-0.5.9.crate 30080 BLAKE2B 
e7a6d1f9e96bda9f5544bddee96ff51225339c96effa4b8f41daa414208a2052ec76a88400a504b7fe7ed7aee6917aaddf031a385955e7d9bebc6064e5e3000d
 SHA512 
5689ab9cb30fd1972fb275aa22afa876ce013cd91c2b0d6afea17d0b3d45d981809e128b0f483b9419597f3974081c115956fcc1fd14172bc94cf0078f5cdc52
 DIST rustix-0.38.44.crate 379347 BLAKE2B 
780efaa7c9e7fb78782c552345ead692e4dc87a6e68fe9c972097ed4ef9066b54633c565d4f1b4752e08a1ceceef15ed5d8c11286c7cf17d971648ac5f9d399f
 SHA512 
b7e66a27c9188eff307aa9912852706f686864852a97af0696ac5fc5dccdf2e4d22a69266fa74ac71aa123e2831f24b898b7ee9121850d65cfb56e12bd647d8f
+DIST rustversion-1.0.21.crate 21001 BLAKE2B 
0ca6d2ae448a04a509e3746dff26c8ad9ff91b3d86fcb3cbdffc82de6e8592b585d8f1c029d96a257b4f195288d035326e6d8a12f3beece16a1d195544897375
 SHA512 
69ed338f2a8e8048ef6d44a5ceaed4ccb9d10d88130a5da4b25899af44949600f785d9508673a90245ae33e086ae6d2a297d6b16942c30159fa73e0602a88a67
 DIST ryu-1.0.19.crate 48770 BLAKE2B 
588ca156238ff7285edc90d62c41991f6ec6b732656ef874c4bd5723350d2db19eeae844fa8998123a26b34a7feba0ad897731d73cb4daa88a24a3587b860dbd
 SHA512 
b80d07d609237e13ce1f8cbef5b16738308c540800c7ec18387aec876fb2204029754f20f1f273a0ea07f54dfbaa4595fd0a90044d09f124c1c99e46f1005a99
 DIST same-file-1.0.6.crate 10183 BLAKE2B 
a320c8343e0b38078ba81c4f0159d886bf47764c74efe0d7cd2b3218426e8341b51e523c00a9e5fbc2ee1057618296bd70b576c68751bd55d6ddb352defaca15
 SHA512 
3ba35309742c8db63210d9ea78bff4ecd80471d69e6238eb96c7bf0673814f221e2d838fe6311bfc5a0e71b4a7ccba33e07859c0b9cff2171969ff08a4214a7c
 DIST scopeguard-1.2.0.crate 11619 BLAKE2B 
8b7e9ed6cefef9ee55407fb9690d57a2a98bb93e5105aeebdb475a52485e9e185255249e1dce8f83cd80534e7402d485aac3efa7e8493b13135de27550cd4bc4
 SHA512 
6247719a15fe1e4e2d179127b9a934bd2f99367724f41175ed9522f58824b6bc69b35002eae66b35880375ff61d77ac43ddaa78cbde7160a35183a1da32d3fbb
@@ -90,6 +93,11 @@ DIST unindent-0.2.3.crate 7306 BLAKE2B 
a57407b117e99c230750c7d4a2a0899586c8271e4
 DIST utf8parse-0.2.2.crate 13499 BLAKE2B 
095b5d219ab8ff04c06fd6303e03d913ae36a57845f0b2ca3217a40e31a54cb0fb5ecedbde165d28f5f60f1553d8252986d7098fa83befc84a7cb20bf3b76144
 SHA512 
f3dbf78fe924f1dc3cf9498b6e43fb10174699463f31091a7a8136d8f31ec84fc00e80e3d8551b7e86257e8b3573cfddb56fc0de797fdb2cde0e962a8f239266
 DIST walkdir-2.5.0.crate 23951 BLAKE2B 
a2d3a973f206e94699adec0263dd5e211347722cf3ab82536295019268b3125084da5dbcad818070bfdcb6a5de08da4eb483475bc225a829f58a1e3e040b5fba
 SHA512 
da36a121dc6656942dc9cd9887fcf4f6eea7750354ef3f59c7c25d836e7afe06f33260b4d55d0d99421104ed4ce56ef2a1f0f4c3b713766fff90548c21793fad
 DIST wasi-0.13.3+wasi-0.2.2.crate 136754 BLAKE2B 
a17e2670caed033c1b2e2bd709a79c1dff5d0ff46b32e9d9b0faceac2b3350397e7bc6ce113a9275c400537121c9d853130b4bd546afbf0bcd248f4c69d8a708
 SHA512 
c0b0ce3c4d82ad7350e017fda565a69cf91186ebc41a1c5bc21a6e2fd2f0d8e7d90bcd60488074da6062ac1fa39c684ddd8ee1d8efd66e82eff36ddb16682abd
+DIST wasm-bindgen-0.2.100.crate 48288 BLAKE2B 
8fc4f71c7d6cef15f131a9bdbb50e3eaf9f3894a5b6c1d73876824efb731b46e8c3449947893103f23bc15cad228a1b8bcccd45ada20df53b3f3dde6e419c184
 SHA512 
2a8ea7ec669efe10f5701dc3b2bf496e33afa70c31dbc65fda5191c9c28ddde54fa38bb168a41b0319a4ff0bb5ccd897ce51ccd7e523e647b3544fb390f8a4e3
+DIST wasm-bindgen-backend-0.2.100.crate 32111 BLAKE2B 
6bbbef709753e22230176121388a95fdb8f4dd32e0755dce5bf6c1127c54a236af292f319d14b5cd97bdb310fee65288e8f404921b83693e287164cf9d589a2e
 SHA512 
a2ee30c1185644f989af6be34e93149a791c05125de24c0ff91c320f683f6f5d939fe42b8ca09d629096388a39256469f8b96a6e35722ccfdbe8d978c9a51770
+DIST wasm-bindgen-macro-0.2.100.crate 9663 BLAKE2B 
b8a3fc6b3571f8caf106a9e9f3d9cc48b86096d714c5d0208f03d44d47003b3b26441b5cd68bcd49a8c05758bc1b984e460fb62ab439ff2d68c72766ce20358f
 SHA512 
a1942f838eff5fd54406b573d81fe18f262df48a19535245b1a46cb31db2a022746e861d72e5286c632969d15d416655460d3865309c4947cd3d7965dead5c42
+DIST wasm-bindgen-macro-support-0.2.100.crate 26243 BLAKE2B 
c18e35978b62dd2822ba8a4f6955cd5154b2a0d81b8e8032c2f8bda42c1c25f74a13f3e1c3a7bf47a823de2517a237e6a1aef18b189bf1f2b934123c58d1eb34
 SHA512 
0d03eaeda37c9c6ae06c0fa96e872b54780c4cf545b621c730dcc113dd59a8cb6333c5e3818f51365f71913b9669d8a870a06e70729722d03c07a49cff8a4fdf
+DIST wasm-bindgen-shared-0.2.100.crate 8570 BLAKE2B 
886fa72cae891d4c2311e12e28f0a7bde9bcaca893603afa3428a402726b3b2bcdb6cb7dca6fdf983bd8fac5f049f0543537f2161318769b43c7eebfc906df27
 SHA512 
3fca8ddd1c6b2f66f70f6608c9b341822603f1c0dd71d47d27c6be8fe3f2c88598619946627720734b48cf999cafd0c63a08af5db28ea78a1538d2165a5fba61
 DIST winapi-util-0.1.9.crate 12464 BLAKE2B 
7fb9dd803fc2608c4e5bc75674472992d82da364f24c22072d5624d6ae6abc44abd3e3ea3c45a7558e045331f3d87572b306b4ab5de52c07ff3706e7f13c2a38
 SHA512 
c46b893f67ec6e36499b00736bb6b9421e0e2611e76784afa6da01d7ebd033df82f1be7cf8d871d541125d290983f98f26f759488ba9aface49efce8edd682e9
 DIST windows-sys-0.59.0.crate 2387323 BLAKE2B 
3110c8cd2bc005f8c95cd038a8d574af648dc19788fe4485f977376f92e36b911b1a542d669a07ae9cd4ea72a884ab01ec78b8a2b5587456eb202452d1d8fa0d
 SHA512 
d35e009e979633a1f3c8468cd038bd5c8c0381405165ce03497decd7d9edaaac485d704487e4a61d9aaf4e4d011b4248408912df6a0044d50e8457259867e061
 DIST windows-targets-0.52.6.crate 6403 BLAKE2B 
eb98d0a8daeed5fe76e7fa8edb2743e2a3e77dfb9c4ea68605a6ab10532cb7cfc43bc1cea0180869445bd940be762a40136500e26b84ca88b5e0c502004c7a4c
 SHA512 
d6d2dbd96096c6c396dba141a9817e377c35877f3b2fe58b2553280c7cfcb1ed6ee75bd4d62c9b882662de67ddaf0c1049b91530d29c94dd709c230e08eb895f

diff --git a/dev-python/cramjam/cramjam-2.11.0_rc3.ebuild 
b/dev-python/cramjam/cramjam-2.11.0_rc3.ebuild
new file mode 100644
index 000000000000..d508ed957fc3
--- /dev/null
+++ b/dev-python/cramjam/cramjam-2.11.0_rc3.ebuild
@@ -0,0 +1,240 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Note: you need to use top-level Cargo.lock to generate the crate list.
+CRATES="
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+2.15.2
+       [email protected]+2.15.2
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+1.0.8
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+496255c
+       [email protected]+496255c
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+lz4-1.10.0
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+wasi-0.2.2
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+zstd.1.5.7
+       [email protected]
+"
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Thin Python bindings to de/compression algorithms in Rust"
+HOMEPAGE="
+       https://github.com/milesgranger/cramjam/
+       https://pypi.org/project/cramjam/
+"
+SRC_URI+="
+       ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT MPL-2.0
+       Unicode-3.0
+"
+SLOT="0"
+
+DEPEND="
+       app-arch/bzip2:=
+       app-arch/libdeflate:=
+       app-arch/lz4:=
+       app-arch/xz-utils:=
+       app-arch/zstd:=
+       dev-libs/isa-l:=
+"
+#      dev-libs/c-blosc2:=
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/cramjam/cramjam.*.so"
+
+src_prepare() {
+       sed -i -e '/strip/d' pyproject.toml || die
+       distutils-r1_src_prepare
+       export UNSAFE_PYO3_SKIP_VERSION_CHECK=1
+
+       # strip all the bundled C libraries
+       find "${ECARGO_VENDOR}"/*-sys-* \
+               -name '*.c' -delete || die
+
+       # https://github.com/10XGenomics/lz4-rs/pull/39
+       pushd "${ECARGO_VENDOR}"/lz4-sys* >/dev/null || Die
+       eapply -p2 "${FILESDIR}/lz4-sys-unbundle-lz4.patch"
+       popd >/dev/null || die
+
+       # https://github.com/milesgranger/isal-rs/pull/25 (cheap workaround)
+       sed -i -e '/default/d' "${ECARGO_VENDOR}"/isal-sys*/Cargo.toml || die
+
+       # enable system libraries where supported
+       export ZSTD_SYS_USE_PKG_CONFIG=1
+
+       # unpin C library versions
+       sed -i -e '/exactly_version/d' \
+               "${ECARGO_VENDOR}"/libdeflate-sys-*/build.rs || die
+
+       # bzip2-sys requires a pkg-config file
+       # https://github.com/alexcrichton/bzip2-rs/issues/104
+       mkdir "${T}/pkg-config" || die
+       export 
PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+       cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+               Name: bzip2
+               Version: 9999
+               Description:
+               Libs: -lbz2
+       EOF
+
+       local features=(
+               extension-module
+
+               snappy
+               lz4
+               bzip2
+               brotli
+               zstd
+
+               xz-shared
+               igzip-shared
+               ideflate-shared
+               izlib-shared
+               use-system-isal-shared
+               gzip-shared
+               zlib-shared
+               deflate-shared
+               # 
https://github.com/milesgranger/cramjam/issues/204#issuecomment-2692307708
+               # blosc2-shared
+               # use-system-blosc2-shared
+       )
+       local features_s=${features[*]}
+
+       DISTUTILS_ARGS=(
+               --no-default-features
+               --features="${features_s// /,}"
+       )
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       # try to make hypothesis less flaky
+       local -x CI=1
+       epytest tests
+}

Reply via email to